"use strict";
var _a, _b, _c;
Object.defineProperty(exports, "__esModule", { value: true });
exports.multiCallAddress = exports.offchainOracleAddress = exports.optimismL1FeeOracleAddress = exports.defaultInstanceTokensGasLimit = exports.defaultWithdrawalGasLimit = exports.defaultGasPrices = exports.InstanceTokenSymbol = exports.ChainId = void 0;
var ChainId;
(function (ChainId) {
    ChainId[ChainId["MAINNET"] = 1] = "MAINNET";
    ChainId[ChainId["GOERLI"] = 5] = "GOERLI";
    ChainId[ChainId["BSC"] = 56] = "BSC";
    ChainId[ChainId["XDAI"] = 100] = "XDAI";
    ChainId[ChainId["POLYGON"] = 137] = "POLYGON";
    ChainId[ChainId["OPTIMISM"] = 10] = "OPTIMISM";
    ChainId[ChainId["ARBITRUM"] = 42161] = "ARBITRUM";
    ChainId[ChainId["AVAX"] = 43114] = "AVAX";
})(ChainId || (exports.ChainId = ChainId = {}));
var InstanceTokenSymbol;
(function (InstanceTokenSymbol) {
    InstanceTokenSymbol["DAI"] = "dai";
    InstanceTokenSymbol["cDAI"] = "cdai";
    InstanceTokenSymbol["WBTC"] = "wbtc";
    InstanceTokenSymbol["USDT"] = "usdt";
    InstanceTokenSymbol["USDC"] = "usdc";
})(InstanceTokenSymbol || (exports.InstanceTokenSymbol = InstanceTokenSymbol = {}));
exports.defaultGasPrices = (_a = {},
    _a[ChainId.MAINNET] = {
        instant: 80,
        fast: 50,
        standard: 25,
        low: 8,
    },
    _a[ChainId.GOERLI] = {
        instant: 80,
        fast: 50,
        standard: 25,
        low: 8,
    },
    _a[ChainId.OPTIMISM] = {
        instant: 0.001,
        fast: 0.001,
        standard: 0.001,
        low: 0.001,
    },
    _a[ChainId.XDAI] = {
        instant: 6,
        fast: 5,
        standard: 4,
        low: 1,
    },
    _a[ChainId.BSC] = {
        instant: 5,
        fast: 4,
        standard: 3,
        low: 3,
    },
    _a[ChainId.POLYGON] = {
        instant: 100,
        fast: 75,
        standard: 50,
        low: 30,
    },
    _a[ChainId.ARBITRUM] = {
        instant: 4,
        fast: 3,
        standard: 2.52,
        low: 2.29,
    },
    _a[ChainId.AVAX] = {
        instant: 225,
        fast: 35,
        standard: 25,
        low: 25,
    },
    _a);
exports.defaultWithdrawalGasLimit = (_b = {},
    _b[ChainId.MAINNET] = 550000,
    _b[ChainId.GOERLI] = 550000,
    _b[ChainId.ARBITRUM] = 1900000,
    _b[ChainId.OPTIMISM] = 440000,
    _b[ChainId.AVAX] = 390000,
    _b[ChainId.BSC] = 390000,
    _b[ChainId.POLYGON] = 390000,
    _b[ChainId.XDAI] = 390000,
    _b);
exports.defaultInstanceTokensGasLimit = (_c = {},
    _c[InstanceTokenSymbol.DAI] = 55000,
    _c[InstanceTokenSymbol.cDAI] = 425000,
    _c[InstanceTokenSymbol.WBTC] = 85000,
    _c[InstanceTokenSymbol.USDT] = 100000,
    _c[InstanceTokenSymbol.USDC] = 80000,
    _c);
exports.optimismL1FeeOracleAddress = '0x420000000000000000000000000000000000000F';
exports.offchainOracleAddress = '0x07D91f5fb9Bf7798734C3f606dB065549F6893bb';
exports.multiCallAddress = '0xda3c19c6fe954576707fa24695efb830d9cca1ca';
//# sourceMappingURL=config.js.map