"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TornadoFeeOracleV4 = void 0;
var config_1 = require("./config");
var feeOracle_1 = require("./feeOracle");
var gas_price_oracle_1 = require("@tornado/gas-price-oracle");
var utils_1 = require("./utils");
var TornadoFeeOracleV4 = /** @class */ (function (_super) {
    __extends(TornadoFeeOracleV4, _super);
    function TornadoFeeOracleV4(chainId, rpcUrl, defaultGasPrices) {
        var oracleConfig = {
            chainId: chainId,
            defaultRpc: rpcUrl,
            defaultFallbackGasPrices: defaultGasPrices,
        };
        var gasPriceOracle = new gas_price_oracle_1.GasPriceOracle(oracleConfig);
        return _super.call(this, 4, chainId, rpcUrl, gasPriceOracle) || this;
    }
    TornadoFeeOracleV4.prototype.getGasLimit = function (tx, type, bumpPercent) {
        if (type === void 0) { type = 'other'; }
        if (bumpPercent === void 0) { bumpPercent = 0; }
        return __awaiter(this, void 0, void 0, function () {
            var _a;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        if (type === 'user_withdrawal')
                            return [2 /*return*/, (0, utils_1.bump)(config_1.defaultWithdrawalGasLimit[this.chainId], bumpPercent).toNumber()];
                        // Need to bump relayer gas limit for transaction, because predefined gas limit to small to be 100% sure that transaction will be sent
                        // This leads to fact that relayer often pays extra for gas from his own funds, however, this was designed by previous developers
                        if (type === 'relayer_withdrawal')
                            return [2 /*return*/, (0, utils_1.bump)(config_1.defaultWithdrawalGasLimit[this.chainId], bumpPercent || 25).toNumber()];
                        // For compatibility reasons, when wee check user-provided fee for V4 withdrawal transaction, we need dump gas limit
                        // for about 20 percent,so that the transaction will be sent, even if it results in some loss for the relayer
                        if (type === 'relayer_withdrawal_check_v4')
                            return [2 /*return*/, (0, utils_1.bump)(config_1.defaultWithdrawalGasLimit[this.chainId], -25).toNumber()];
                        if (!tx || Object.keys(tx).length === 0)
                            return [2 /*return*/, (0, utils_1.bump)(23000, bumpPercent).toNumber()];
                        _a = utils_1.bump;
                        return [4 /*yield*/, this.provider.estimateGas(tx)];
                    case 1: return [2 /*return*/, _a.apply(void 0, [_b.sent(), bumpPercent]).toNumber()];
                }
            });
        });
    };
    return TornadoFeeOracleV4;
}(feeOracle_1.TornadoFeeOracle));
exports.TornadoFeeOracleV4 = TornadoFeeOracleV4;
//# sourceMappingURL=feeOracleV4.js.map